# Note that this is NOT a relocatable package

Summary: GNOME guile interpreter
Name: gnome-guile
Version: 0.20
Release: 1mdk
Copyright: LGPL
Group: Development/Other
Source: ftp://ftp.gnome.org/pub/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org
# pulled by libraries dependency
#Requires: guile >= 1.3.4
#Requires: gtk+ >= 1.2.6
#Requires: gnome-libs >= 1.0.55
#Requires: libglade >= 0.11
#Requires: gtkhtml

BuildRequires: gnome-libs-devel XFree86-devel audiofile-devel esound-devel imlib-devel guile-devel 
BuildRequires: zlib-devel ORBit-devel bonobo-devel gdk-pixbuf-devel oaf-devel popt-devel
BuildRequires: libglade-devel gtk+-devel guile-devel libgtkhtml-devel

%description
GNOME guile (gnomeg) is a guile interpreter with GTK and GNOME support.
A number of GNOME utilities are written to use gnomeg.

GNOME is the GNU Network Object Model Environment.  That's a fancy
name but really GNOME is a nice GUI desktop environment.  It makes
using your computer easy, powerful, and easy to configure.

%package devel
Summary: GNOME guile libraries, includes, etc
Group: Development/Other
Requires: %{name} = %{version}

%description devel
Libraries and header files for GNOME guile development


%prep
%setup -q 
##%setup -q -T -D -a 1

#rm -rf guile-gtk
#mv guile-gtk-0.19 guile-gtk

%build
# Alpha's return all sorts of diffrent things for alpha, this confuses
# libtool so we press the issue.
%ifarch alpha
#  CFLAGS="$RPM_OPT_FLAGS" ./configure --host=alpha-redhat-linux --prefix=%prefix
%configure --host=alpha-redhat-linux --without-bonobo --without-gtkhtml
%else
#  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
%configure --without-bonobo --without-gtkhtml
#--without-libglade 
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT

# FIXME: This will only work on systems where guile is installed
#        in %{prefix}.  Hopefully we can get rid of this stuff soon!
#make prefix=$RPM_BUILD_ROOT%{prefix} \
#     ROOT=$RPM_BUILD_ROOT \
#     sitedir=$RPM_BUILD_ROOT%{_datadir}/guile/site \
#     schemedir=$RPM_BUILD_ROOT%{_datadir}/guile \
#     install
%makeinstall ROOT=$RPM_BUILD_ROOT \
     sitedir=$RPM_BUILD_ROOT%{_datadir}/guile/site \
     schemedir=$RPM_BUILD_ROOT%{_datadir}/guile \

mkdir -p $RPM_BUILD_ROOT%{_datadir}/guile/toolkits
rm -f $RPM_BUILD_ROOT%{_datadir}/guile/toolkits/libgtkstubs.so
ln -s %{_libdir}/libguilegtk.so \
      $RPM_BUILD_ROOT%{_datadir}/guile/toolkits/libgtkstubs.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_datadir}/guile

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*a
%{_includedir}/*
%{_datadir}/guile-gtk
%{_datadir}/guile-gnome

%changelog
* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-1mdk
- Release 0.20

* Wed Mar 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.20-0.2.1mdk
- Release 0.20pre2

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-4mdk
- Correct build requires

* Tue Jan  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-3mdk
- Correct dependency (thanks to Stefan van der Eijk) and filelist

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.10-2mdk
- automatically added BuildRequires

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- first Mandrake package
- BM + macroszification
- don't compile with bonobo

* Sat Feb 27 1999 Gregory Mclean <gregm@comstar.net>

- fixed this up so it will build on more then one alpha and this file is
  generated.

* Wed May 27 1998 Michael Fulbright <msf@redhat.com>

- modified file list to include %{_datadir}/guile, %{_datadir}/gtk

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>

- Integrate into gnome-guile CVS source tree
